Employee Search Endpoint
Cost10 credits / successful requestSearch employees of a target company by their job title. This API endpoint is syntactic sugar for the role_search parameter under the Employee Listing Endpoint. For a detailed comparison, see the Role Lookup Endpoint or the Person Search Endpoint.
Authorization
BearerAuth clientIn: header
Scope: client
Query Parameters
Profile URL of the target company.
Job title keyword to search for in Boolean Search Syntax format. This parameter will take precedence over keyword_regex parameter if both are provided. The value provided for this parameter must not exceed 255 characters. This parameter is case-insensitive; matching ignores capitalization in both the input and our data.
Use keyword_boolean instead. Job title keyword to search for in regular expression format. The accepted value for this parameter is a case-insensitive regular expression.
Tune the maximum results returned per API call. The default value of this parameter is 10. Accepted values for this parameter is an integer ranging from 1 to 9999. When enrich_profiles=enrich, this parameter accepts value ranging from 1 to 10 and the default value is 10.
Limit the result set to the country locality of the profile. For example, set the parameter of country=us if you only want profiles from the US. This parameter accepts a case-insensitive Alpha-2 ISO3166 country code. Costs an extra 3 credit per result returned.
Get the full profile of employees instead of only their profile urls.
Each request respond with a streaming response of profiles.
The valid values are:
skip(default): lists employee's profile urlenrich: lists full profile of employees
Calling this API endpoint with this parameter would add 1 credit per employee returned.
Enable support for Company Profile URLs with numerical IDs.
This parameter accepts the following values:
false(default value) - Will not resolve numerical IDs.true- Enable support for Company Profile URLs with numerical IDs. Costs an extra2credit on top of the base cost of the endpoint.
Response Body
application/json
curl -X GET "https://enrichlayer.com/api/v2/company/employee/search/?company_profile_url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fmicrosoft%2F&keyword_boolean=ceo+OR+cto&keyword_regex=ceo%7Ccto&page_size=10&country=us&enrich_profiles=enrich&resolve_numeric_id=false"{
"employees": [
{
"profile_url": "https://www.linkedin.com/in/satyanadella",
"profile": {
"public_identifier": "williamhgates",
"profile_pic_url": "https://media.licdn.com/dms/image/C5616AQH9tkBTUhHfng/profile-displaybackgroundimage-shrink_200_800/0/1614530499015?e=2147483647&v=beta&t=VEoCyedtZulnAVYWT9BXfKHi5OFp8avElNjiz8kjSTU",
"background_cover_image_url": null,
"first_name": "Bill",
"last_name": "Gates",
"full_name": "Bill Gates",
"occupation": "Co-chair at Bill & Melinda Gates Foundation",
"headline": "Co-chair, Bill & Melinda Gates Foundation",
"summary": "Co-chair of the Bill & Melinda Gates Foundation. Founder of Breakthrough Energy. Co-founder of Microsoft. Voracious reader. Avid traveler. Active blogger.",
"country": "US",
"country_full_name": "United States of America",
"city": "Seattle",
"state": "Washington",
"experiences": [
{
"starts_at": {
"day": 1,
"month": 1,
"year": 2015
},
"ends_at": null,
"company": "Breakthrough Energy ",
"company_linkedin_profile_url": "https://www.linkedin.com/company/breakthrough-energy/",
"title": "Founder",
"description": null,
"location": null,
"logo_url": "https://media-exp1.licdn.com/dms/image/C4D0BAQGwD9vNu044FA/company-logo_400_400/0/1601560874941?e=1672876800&v=beta&t=VKb6OAHEwlnazKYKm4fc9go-y4zkUv2BT6tosOdQ54Y"
},
{
"starts_at": {
"day": 1,
"month": 1,
"year": 2000
},
"ends_at": null,
"company": "Bill & Melinda Gates Foundation",
"company_linkedin_profile_url": "https://www.linkedin.com/company/bill-&-melinda-gates-foundation/",
"title": "Co-chair",
"description": null,
"location": null,
"logo_url": "https://media-exp1.licdn.com/dms/image/C4E0BAQE7Na_mKQhIJg/company-logo_400_400/0/1633731810932?e=1672876800&v=beta&t=Mz_ntwD4meCMcgo1L3JqDxBQRabFLIesd0Yz2ciAXNs"
}
],
"education": [
{
"starts_at": {
"day": 1,
"month": 1,
"year": 1973
},
"ends_at": {
"day": 31,
"month": 12,
"year": 1975
},
"field_of_study": null,
"degree_name": null,
"school": "Harvard University",
"school_linkedin_profile_url": null,
"description": null,
"logo_url": "https://media-exp1.licdn.com/dms/image/C4E0BAQF5t62bcL0e9g/company-logo_400_400/0/1519855919126?e=1672876800&v=beta&t=9twXof1JlnNHfFprrDMi-C1Kp55HTT4ahINKHRflUHw"
},
{
"starts_at": null,
"ends_at": null,
"field_of_study": null,
"degree_name": null,
"school": "Lakeside School",
"school_linkedin_profile_url": null,
"description": null,
"logo_url": "https://media-exp1.licdn.com/dms/image/C4D0BAQENlfOPKBEk3Q/company-logo_400_400/0/1519856497259?e=1672876800&v=beta&t=v7nJTPaJMfH7WOBjb22dyvNKxAgdPdVd8uLCUkMB1LQ"
}
],
"languages": [],
"accomplishment_organisations": [],
"accomplishment_publications": [],
"accomplishment_honors_awards": [],
"accomplishment_patents": [],
"accomplishment_courses": [],
"accomplishment_projects": [],
"accomplishment_test_scores": [],
"volunteer_work": [],
"certifications": [],
"connections": null,
"people_also_viewed": [],
"recommendations": [],
"activities": [],
"similarly_named_profiles": [],
"articles": [],
"groups": []
},
"last_updated": "2023-10-26T11:34:30Z"
}
],
"next_page": null
}Employee Listing Endpoint GET
Get a list of employees of a Company.
Cost3 credits / employee returned
Company Search Endpoint GET
Search for companies that meet a set of criteria within our exhaustive dataset of company profiles. This API endpoint can return at most 10,000,000 results per search. Each search expression for a parameter is limited to a maximum of 255 characters. Search expressions follow the Boolean Search Syntax.
Cost3 credits / Company URL